VERSION 5.00
Begin VB.Form frmBans 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "OdyRegistry [Ban List]"
   ClientHeight    =   2730
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3960
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2730
   ScaleWidth      =   3960
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdRefreshList 
      Caption         =   "Refresh List"
      Height          =   375
      Left            =   2040
      TabIndex        =   5
      Top             =   1680
      Width           =   1815
   End
   Begin VB.CommandButton cmdEditBan 
      Caption         =   "Edit Ban"
      Height          =   375
      Left            =   2040
      TabIndex        =   3
      Top             =   720
      Width           =   1815
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   2040
      TabIndex        =   0
      Top             =   2160
      Width           =   1815
   End
   Begin VB.CommandButton cmdDelBan 
      Caption         =   "Delete Ban"
      Height          =   375
      Left            =   2040
      TabIndex        =   4
      Top             =   1200
      Width           =   1815
   End
   Begin VB.CommandButton cmdAddBan 
      Caption         =   "Add Ban"
      Height          =   375
      Left            =   2040
      TabIndex        =   2
      Top             =   240
      Width           =   1815
   End
   Begin VB.ListBox lstIPs 
      Height          =   2400
      Left            =   0
      TabIndex        =   1
      Top             =   240
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Banned IPs:"
      Height          =   255
      Left            =   0
      TabIndex        =   6
      Top             =   0
      Width           =   1695
   End
End
Attribute VB_Name = "frmBans"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdAddBan_Click()
    Unload frmBan
    frmBan.Show
End Sub

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdDelBan_Click()
    Dim a As Integer
    If lstIPs = "" Then
        MsgBox "Select a ban, then click edit."
        Exit Sub
    End If
    
    a = InStr(1, lstIPs, " - ")
    
    If a = 0 Then
        MsgBox "There was an error involving the list."
        Exit Sub
    End If
    
    TempSt = Mid(lstIPs, 1, a - 1)
    
    If BanRS.RecordCount = True Then
        MsgBox "There are no bans in the database, refresh the list."
        Exit Sub
    End If
    
    BanRS.FindFirst "IP='" + TempSt + "'"
    
    If BanRS.NoMatch = False Then
        BanRS.Delete
        RefreshBanList
    End If
End Sub

Private Sub cmdEditBan_Click()
    Dim TempSt As String, a As Integer
    
    Unload frmBan
    Load frmBan
    
    frmBan.Caption = "OdyRegistry [Edit Ban]"
    frmBan.txtName.Enabled = False
    
    If lstIPs = "" Then
        MsgBox "Select a ban, then click edit."
        Exit Sub
    End If
    
    a = InStr(1, lstIPs, " - ")
    
    If a = 0 Then
        MsgBox "There was an error involving the list."
        Exit Sub
    End If
    
    TempSt = Mid(lstIPs, 1, a - 1)
    
    If BanRS.RecordCount = True Then
        MsgBox "There are no bans in the database, refresh the list."
        Exit Sub
    End If
    
    BanRS.FindFirst "IP='" + TempSt + "'"
    
    If BanRS.NoMatch = True Then
        MsgBox "The IP was not found in the datebase, refresh the list."
        Exit Sub
    End If
    
    With frmBan
        .txtName = BanRS!Name & ""
        .txtIP = BanRS!IP & ""
        .txtReason = BanRS!Reason & ""
        .txtUnbanDate = CStr(BanRS!UnbanDate & "")
        
        .Show
    End With
End Sub

Private Sub cmdRefreshList_Click()
    RefreshBanList
End Sub

Private Sub Form_Load()
    RefreshBanList
End Sub

Sub RefreshBanList()
    Dim RC As Integer, a As Integer
    
    lstIPs.Clear
    
    If BanRS.RecordCount = 0 Then
        cmdEditBan.Enabled = False
        cmdDelBan.Enabled = False
        Exit Sub
    End If
    
    cmdEditBan.Enabled = True
    cmdDelBan.Enabled = True
    
    BanRS.MoveLast
    RC = BanRS.RecordCount
    
    BanRS.MoveFirst
    
    For a = 1 To RC
        If a > 1 Then BanRS.MoveNext
        
        lstIPs.AddItem BanRS!IP + " - " + CStr(BanRS!UnbanDate)
    Next a
End Sub
