VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Registry Options"
   ClientHeight    =   1290
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4425
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1290
   ScaleWidth      =   4425
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkAutoAllow 
      Caption         =   "Automatically enable creation of new accounts"
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   480
      Width           =   3615
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   255
      Left            =   2760
      TabIndex        =   2
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   255
      Left            =   480
      TabIndex        =   1
      Top             =   960
      Width           =   1215
   End
   Begin VB.CheckBox chkService 
      Caption         =   "Start Registry automatically as a service"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   120
      Width           =   3375
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    On Error Resume Next
    With Options
        If chkService.Value = 1 And .Service = False Then
            'frmMain.service.Install
            
            If Err.number > 0 Then
                Err.Clear
                MsgBox "An error occured installing the registry as a service."
            Else
                SaveOption "Service", "True"
                .Service = True
            End If
        End If
        
        If chkService.Value = 0 And .Service = True Then
            frmMain.Service.Uninstall
            
            If Err.number > 0 Then
                Err.Clear
                MsgBox "There was an error uninstalling the registry as a service."
            Else
                SaveOption "Service", "False"
                .Service = False
            End If
        End If
        
        If chkAutoAllow.Value = 1 And .AutoAllow = False Then
            SaveOption "AutoAllow", "True"
            .AutoAllow = True
        End If
        
        If chkAutoAllow.Value = 0 And .AutoAllow = True Then
            SaveOption "AutoAllow", "False"
            .AutoAllow = False
        End If
        
        If .Service = True Then
            frmMain.Service.Install
            
            If Err.number > 0 Then
                Err.Clear
                MsgBox "There was an error installing the registry as a service."
                .Service = "False"
                SaveOption "Service", "False"
            End If
        End If
    End With
    
    Unload Me
End Sub

Private Sub Form_Load()
    With Options
        If .Service = True Then chkService.Value = 1
        If .AutoAllow = True Then chkAutoAllow.Value = 1
    End With
End Sub
